On April 30, 2017, the LTB e-File online payment system is getting a security update. As a result, a small percentage of clients who are using an older browser or operating system (Windows XP and/or Internet Explorer 8, for example) will no longer be able to pay on LTB e-File.

Take a moment now to see if you will be able to pay online:

  1. Click on this link
  2. Ignore the big message at the top of the screen.
  3. Look at the section called “Version”.
  4. If anything less than TLS 1.2 appears there (e.g. SSL, TLS 1.0, TLS 1.1), you won’t be able to pay online.
    • Try using a different browser (like Chrome or Firefox) or you can file by mail or in person at an LTB office.